import { registerPlugin } from '@wordpress/plugins'
import { ExperimentalOrderShippingPackages } from '@woocommerce/blocks-checkout'

import './style.scss'
import PostenBringCheckoutFill from './PostenBringCheckoutFill'

const render = () => {
  return (
    <>
      <ExperimentalOrderShippingPackages>
        <PostenBringCheckoutFill />
      </ExperimentalOrderShippingPackages>
    </>
  )
}

registerPlugin( 'posten-bring-checkout', {
  render,
  scope: 'woocommerce-checkout',
} )

registerPlugin( 'posten-bring-checkout-summary', {
  render,
  scope: 'woocommerce-checkout',
} )
